:root{
    --primary-color:#001A6E;
    --secondary-color: #2ecc71;
    --danger-color: #e74c3c;
    --card-background: #E1FFBB;

}

/*
#E1FFBB
#009990
#074799
#001A6E


   --primary-color:#4A90E2;
    --secondary-color: #2ecc71;
    --danger-color: #e74c3c;
    --card-background: #ffffff;
*/

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: "Inter", sans-serif;
    background-color: #009990;
    color: #2c3e50;
    line-height: 1.6;

}

/*
#E1FFBB
#009990
#074799
#001A6E
*/

.app-container{
    display: flex;
    gap: 2rem;
    width: 100%;
    max-width: 1200px;
    margin: 2rem auto;
}

.input-container{
    flex: 1;
    background: var(--card-background);
    border-radius: 12px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.05);
    padding: 2rem;
    height: fit-content;
}

.transactions-container{
     flex: 1;
    background: var(--card-background);
    border-radius: 12px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.05);
    padding: 2rem;
    max-height: 560px;
    overflow-y: auto;
}

.header{
    text-align: center;
    margin-bottom: 1.5rem;

}

.header h1{
    font-size: 2rem;
    font-weight: 700;
    color: var(--primary-color);
}

#balance{
    text-align: center;
    font-size: 2.5rem;
    font-weight: 700;
    margin: 1.5rem 0;
}

#transactionForm{
    display: grid;
    gap: 1rem;
}

input, select, button{
    width: 100%;
    padding: 0.75rem;
    border: 1px solid #e0e0e0;
    border-radius: 8px;
    font-size: 1rem;
}

input:focus, select:focus{
    outline: none;
    border-color: var(--primary-color);
    box-shadow: 0 0 0 3px rgba(74, 144, 226, 0.1);

}

button{
    background-color: var(--primary-color);
    color: #fff;
    border: none;
    cursor: pointer;
    font-weight: 600;
    transition: all 300ms ease;
}

button:hover{
    background-color: #3a7bd5;
    transform: translateY(-2px);

}

#transactionList{
    margin-top: 1.5rem;
}

.transaction{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    border-radius: 8px;
    margin-bottom: 0.5rem;
    transition: all 300ms ease;
}

.transaction.income{
    background-color: rgba(46, 204, 113, 0.1);

}

.transaction:hover{
    background-color: rgba(0, 0, 0, 0.05);

}

.transaction.expense{
    background-color: rgba(231, 76, 60, 0.1);

}

.transaction-amount-container{
    display: flex;
    flex-direction: column;
    align-items: flex-end;

}

.delete-btn{
    background-color: var(--danger-color);
    padding: 8px;
    font-size: 0.8rem;
    border-radius: 4px;
    transform: all 300ms ease;
}

.delete-btn:hover{
    background-color: #c0392b;
    transform: translateY(0);
}

@media(max-width: 768px){
    .app-container{
        flex-direction: column;
        padding: 1rem;
    }
}

#balance{
    font-size: 2rem;
}











